Bug 221577 - new ports: database/pointcloud and dependencies
Summary: new ports: database/pointcloud and dependencies
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-08-17 04:43 UTC by Loïc Bartoletti
Modified: 2017-09-26 19:34 UTC (History)
2 users (show)

See Also:
girgen: maintainer-feedback?


Attachments
new port databases/pointcloud (5.64 KB, patch)
2017-08-17 04:43 UTC, Loïc Bartoletti
girgen: maintainer-approval+
Details | Diff
new port archivers/lazperf (282 bytes, patch)
2017-08-17 04:44 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
new port devel/libght (5.91 KB, patch)
2017-08-17 04:44 UTC, Loïc Bartoletti
girgen: maintainer-approval+
Details | Diff
new port archivers/lazperf (5.05 KB, patch)
2017-08-17 14:33 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
new port databases/pointcloud (5.66 KB, patch)
2017-08-17 15:04 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
pointcloud-1.0.1.log (39.31 KB, text/plain)
2017-08-17 22:18 UTC, Palle Girgensohn
no flags Details
fix build for postgresql96 (6.22 KB, patch)
2017-08-18 15:38 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti freebsd_committer 2017-08-17 04:43:36 UTC
Created attachment 185506 [details]
new port databases/pointcloud

Welcome to (pg)pointcloud a PostgreSQL extension for storing point cloud (LIDAR) data. 

It is accompanied by two new ports (not really optional)

For all, poudriere 10, 11, 12 i386/amd64 and portlint ok.
Comment 1 Loïc Bartoletti freebsd_committer 2017-08-17 04:44:03 UTC
Created attachment 185507 [details]
new port archivers/lazperf
Comment 2 Loïc Bartoletti freebsd_committer 2017-08-17 04:44:23 UTC
Created attachment 185508 [details]
new port devel/libght
Comment 3 Palle Girgensohn freebsd_committer 2017-08-17 10:13:27 UTC
Hi!

Cool stuff! Shouldn't the pointcloud port depend on the postgresql server, using a

WANT_PGSQL=     server


Can you please upload a correct version of the archivers/lazperf port? The current attachment is just a list of the files, not the files themselves.

Palle
Comment 4 Palle Girgensohn freebsd_committer 2017-08-17 10:16:05 UTC
Comment on attachment 185506 [details]
new port databases/pointcloud

looks good
Comment 5 Palle Girgensohn freebsd_committer 2017-08-17 10:16:54 UTC
Comment on attachment 185508 [details]
new port devel/libght

looks good
Comment 6 Palle Girgensohn freebsd_committer 2017-08-17 10:20:13 UTC
sorry I messed up the maintainer-approval, my bad.
Comment 7 Loïc Bartoletti freebsd_committer 2017-08-17 14:33:38 UTC
Created attachment 185527 [details]
new port archivers/lazperf
Comment 8 Loïc Bartoletti freebsd_committer 2017-08-17 15:04:07 UTC
Created attachment 185528 [details]
new port databases/pointcloud
Comment 9 Loïc Bartoletti freebsd_committer 2017-08-17 15:04:31 UTC
(In reply to Palle Girgensohn from comment #3)
done!
Thanks
Comment 10 Palle Girgensohn freebsd_committer 2017-08-17 22:18:01 UTC
Created attachment 185537 [details]
pointcloud-1.0.1.log

Hi

I get errors building this with postgresql-9.6:

In file included from pgsql/pc_access.c:14:
In file included from /usr/local/include/postgresql/server/funcapi.h:21:
In file included from /usr/local/include/postgresql/server/executor/executor.h:17:
In file included from /usr/local/include/postgresql/server/executor/execdesc.h:18:
In file included from /usr/local/include/postgresql/server/nodes/execnodes.h:18:
In file included from /usr/local/include/postgresql/server/access/heapam.h:22:
/usr/local/include/postgresql/server/storage/lock.h:18:2: error: "lock.h may not be included from frontend code"
#error "lock.h may not be included from frontend code"

See attached log from poudriere for 11.1-amd64 & postgresql-9.6
Comment 11 Loïc Bartoletti freebsd_committer 2017-08-18 15:38:21 UTC
(In reply to Palle Girgensohn from comment #10)
Is it ok for you now?
Comment 12 Loïc Bartoletti freebsd_committer 2017-08-18 15:38:56 UTC
Created attachment 185551 [details]
fix build for postgresql96
Comment 13 Palle Girgensohn freebsd_committer 2017-09-24 20:49:19 UTC
HI,

Sorry for the late reply.

I get other errors now. It does not find the ght.h: 

-- Build files have been written to: /wrkdirs/usr/ports/databases/pointcloud/work/pointcloud-1.0.1
===========================================================================
=======================<phase: build          >============================
===>  Building for pointcloud-1.0.1
[1/21] /usr/local/libexec/ccache/cc  -I/usr/local/include/libxml2 -Ilib -O2 -pipe  -fstack-protector -fno-strict-aliasing -O2 -pipe  -fstack-protector -fno-strict-aliasing   -fPIC -MD -MT lib/CMakeFiles/libpc-static.dir/pc_dimstats.c.o -MF lib/CMakeFiles/libpc-static.dir/pc_dimstats.c.o.d -o lib/CMakeFiles/libpc-static.dir/pc_dimstats.c.o   -c lib/pc_dimstats.c
FAILED: lib/CMakeFiles/libpc-static.dir/pc_dimstats.c.o 
/usr/local/libexec/ccache/cc  -I/usr/local/include/libxml2 -Ilib -O2 -pipe  -fstack-protector -fno-strict-aliasing -O2 -pipe  -fstack-protector -fno-strict-aliasing   -fPIC -MD -MT lib/CMakeFiles/libpc-static.dir/pc_dimstats.c.o -MF lib/CMakeFiles/libpc-static.dir/pc_dimstats.c.o.d -o lib/CMakeFiles/libpc-static.dir/pc_dimstats.c.o   -c lib/pc_dimstats.c
In file included from lib/pc_dimstats.c:23:
In file included from lib/pc_api_internal.h:18:
lib/pc_api.h:25:10: fatal error: 'ght.h' file not found
#include "ght.h"
         ^~~~~~~
1 error generated.
Comment 14 Loïc Bartoletti freebsd_committer 2017-09-25 15:40:02 UTC
Hi,

Do you have also libght in your poudriere?

I have just tested with 11i386 with success.

Regards.
Comment 15 Palle Girgensohn freebsd_committer 2017-09-25 16:37:36 UTC
libght was pulled in as a dependency, but since there is no -I/usr/local/include when cc is run, it is not found:

```
[10/21] /usr/local/libexec/ccache/cc  -I/usr/local/include/libxml2 -Ilib -O2 -pipe  -fstack-protector -fno-strict-aliasing -O2 -pipe  -fstack-protector -fno-strict-aliasing   -fPIC -MD -MT lib/CMakeFiles/libpc-static.dir/stringbuffer.c.o -MF lib/CMakeFiles/libpc-static.dir/stringbuffer.c.o.d -o lib/CMakeFiles/libpc-static.dir/stringbuffer.c.o   -c lib/stringbuffer.c
FAILED: lib/CMakeFiles/libpc-static.dir/stringbuffer.c.o 
/usr/local/libexec/ccache/cc  -I/usr/local/include/libxml2 -Ilib -O2 -pipe  -fstack-protector -fno-strict-aliasing -O2 -pipe  -fstack-protector -fno-strict-aliasing   -fPIC -MD -MT lib/CMakeFiles/libpc-static.dir/stringbuffer.c.o -MF lib/CMakeFiles/libpc-static.dir/stringbuffer.c.o.d -o lib/CMakeFiles/libpc-static.dir/stringbuffer.c.o   -c lib/stringbuffer.c
In file included from lib/stringbuffer.c:38:
In file included from lib/stringbuffer.h:51:
In file included from lib/pc_api_internal.h:18:
lib/pc_api.h:25:10: fatal error: 'ght.h' file not found
#include "ght.h"
         ^~~~~~~
```

Add a CFLAGS= -I/usr/local/include makes the port build nicely:

USES=           cmake pgsql
WANT_PGSQL=     server
CMAKE_ARGS+=    -DWITH_TESTS:BOOL=FALSE
CFLAGS+=        -I${LOCALBASE}/include
USE_GNOME=      libxml2
USE_LDCONFIG=   yes


Shall I commit the port with that row added?

Palle
Comment 16 Loïc Bartoletti freebsd_committer 2017-09-25 17:38:13 UTC
I always compile on poudriere without it (10,11 i386/amd64). But, yes, I have no objection to had an include directive into the Makefile.

Thanks!

Loïc
Comment 17 Palle Girgensohn freebsd_committer 2017-09-26 17:52:20 UTC
Committed. Thanks!
Comment 18 commit-hook freebsd_committer 2017-09-26 17:52:38 UTC
A commit references this bug:

Author: girgen
Date: Tue Sep 26 17:51:48 UTC 2017
New revision: 450685
URL: https://svnweb.freebsd.org/changeset/ports/450685

Log:
  Add pointcloud to the ports tree

  A PostgreSQL extension for storing point cloud (LIDAR) data.
  PR:	221577

Changes:
  head/databases/Makefile
  head/databases/pointcloud/
  head/databases/pointcloud/Makefile
  head/databases/pointcloud/distinfo
  head/databases/pointcloud/files/
  head/databases/pointcloud/files/patch-CMakeLists.txt
  head/databases/pointcloud/files/patch-pgsql_pc__access.c
  head/databases/pointcloud/pkg-descr
  head/databases/pointcloud/pkg-plist
Comment 19 Jan Beich freebsd_committer 2017-09-26 18:47:54 UTC
The commit broke INDEX build[1] which was fixed in ports r450690 but later backed out via ports r450691.

[1] https://lists.freebsd.org/pipermail/freebsd-ports/2017-September/110311.html
Comment 20 commit-hook freebsd_committer 2017-09-26 19:14:42 UTC
A commit references this bug:

Author: girgen
Date: Tue Sep 26 19:13:50 UTC 2017
New revision: 450694
URL: https://svnweb.freebsd.org/changeset/ports/450694

Log:
  Add lazperf to the ports tree

  and reenable databases/pointcloud
  PR:	221577

Changes:
  head/archivers/Makefile
  head/archivers/lazperf/
  head/archivers/lazperf/Makefile
  head/archivers/lazperf/distinfo
  head/archivers/lazperf/files/
  head/archivers/lazperf/files/patch-laz-perf_portable__endian.hpp
  head/archivers/lazperf/pkg-descr
  head/archivers/lazperf/pkg-plist
  head/databases/Makefile
Comment 21 commit-hook freebsd_committer 2017-09-26 19:16:46 UTC
A commit references this bug:

Author: girgen
Date: Tue Sep 26 19:16:03 UTC 2017
New revision: 450695
URL: https://svnweb.freebsd.org/changeset/ports/450695

Log:
  Add libght to the ports tree

  PR:	221577

Changes:
  head/devel/Makefile
  head/devel/libght/
  head/devel/libght/Makefile
  head/devel/libght/distinfo
  head/devel/libght/files/
  head/devel/libght/files/patch-CMakeLists.txt
  head/devel/libght/files/patch-src_ght__hash.c
  head/devel/libght/pkg-descr
  head/devel/libght/pkg-plist
Comment 22 commit-hook freebsd_committer 2017-09-26 19:34:02 UTC
A commit references this bug:

Author: girgen
Date: Tue Sep 26 19:32:57 UTC 2017
New revision: 450696
URL: https://svnweb.freebsd.org/changeset/ports/450696

Log:
  reenable pointcloud, all of it this time...

  It was removed in r450691 since depending ports where not
  added to the tree.

  PR:	221577

Changes:
  head/databases/pointcloud/